Комментарии 10
Немного не об OpenGL, но всё же — а почему у вас Чёрная пятница работает для всех стран, кроме России? Для всех есть скидка в 20% кроме покупателей в рублях.
А вот Apple в MacOS поддерживает только основной профиль.


У Вас мягко говоря не совсем точная информация:

      // Set up OpenGL options.
      // Legacy code
      glfwWindowHint(GLFW_CONTEXT_VERSION_MAJOR, 1);
      glfwWindowHint(GLFW_CONTEXT_VERSION_MINOR, 0);

      // Indicate we only want the newest core profile, rather than using backwards compatible and deprecated features.
      glfwWindowHint(GLFW_OPENGL_PROFILE, GLFW_OPENGL_ANY_PROFILE);

      // Let's draw old-school polygon:
  
      glBegin(GL_POLYGON);
      glVertex2f(0.0, 0.0);
      glVertex2f(0.0, 0.3);
      glVertex2f(0.4, 0.3);
      glVertex2f(0.6, 0.15);
      glVertex2f(0.4, 0.0);
      glEnd();


Как я понимаю, запрашивается контекст OpenGL 1.0 или выше, в MacOS это будет 2.1, а в Windows будет, например, 3.0. OpenGL 2.1 с MacOS то не убрали.

Замените
glfwWindowHint(GLFW_CONTEXT_VERSION_MAJOR, 1);
на
glfwWindowHint(GLFW_CONTEXT_VERSION_MAJOR, 3);
и запустите.

Товарищи разработчики так почему


VMWare Fusion 10 имеет полную поддержку OpenGL 3.2 ?


Может отдебажите их код и поймёте как это сделано ?

Привет!
Непонятно почему вы решили, VMWare Fusion 10 имеет полную поддержку OpenGL 3.2. И что Вы выкладываете в отделение «полная»? Фьюжн поддерживает 3.2 Core profile. И мы *тоже* его поддерживаем. Практически все программы для Windows пользуются Compatibility profile-ом просто потому, что в виндах он всегда есть. Фьюжен *не* поддерживает 3.2 Compatibility profile, и мы догадываемся почему. (Да потому что макось его не поддерживает!). Мы поддерживаем 3.2 Compatibility для *некоторых* приложений.
Разбирали эту ситуацию. Проблема там была не столько с самим OpenGL 3.x, сколько с тем как этот VTK OpenGL инициализирует. Это было исправлено и VTK 7.1 должен работать в Parallels Desktop 13.2. Попутно выяснилось, что VTK 8.x у нас (и скорее всего во фюжене тоже, но это не проверялось) работать действительно не будет. И причина ровно в том, что виндовые программы тупо уверены в наличии на виндах Compatibility profile-а. Т.е. программы (включая VTK 8) используют функциональность не проверяя ее наличия. А текст сообщения об ошибке – на совести его написавших.

Что касается вывода о «полной» или «не полной» поддержке OpenGL любой версии на основании единственной программы, то это выглядит несколько опрометчиво и не только в отношении OpenGL. Мы таки знаем, что в реализации OpenGL 3.x у нас много пробелов по сравнению с виндой, и тому есть причины (о чем и был пост), и мы над этим работаем. Но это не значит что OpenGL 3.2 у нас нет совсем. В любом случае, чтобы иметь какие-то гарантии любое (и каждое) приложение нужно проверять в ВМ. Обобщать не стоит, потому что тогда на основании того, что во фьюжен не работает Wolfenstein: The Old Blood надо будет сделать вывод, что у них OpenGL 3.2 нет совсем.
Большое спасибо Именно поэтому я каждый год покупаю у вас новую версию!
Только полноправные пользователи могут оставлять комментарии. Войдите, пожалуйста.
Информация
Дата основания

30 декабря 1999

Местоположение

США

Численность

201–500 человек

Дата регистрации

9 августа 2008

Блог на Хабре